Download it now!
Bug 61513 - kill unused FSysFailOnErrorImpl macro
Summary: kill unused FSysFailOnErrorImpl macro
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-02-26 15:28 UTC by Michael Meeks
Modified: 2015-12-15 23:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-02-26 15:28:03 UTC
This macro doesn't do anything except clutter the (already ugly) tools/ code :-)

git grep -3 FSysFailOnErrorImpl

and kill with prejudice wherever it's found :-)

Thanks !
Comment 1 Marcos Souza 2013-03-04 01:53:40 UTC
Hi Michael!

I sent a patch to gerrit removing this macro.
(https://gerrit.libreoffice.org/#/c/2535/)

After this change, you grep command returns nothing :)
Comment 2 Michael Meeks 2013-03-04 10:02:33 UTC
Thanks Marcos - pushed :-)
Plenty more to cleanup in tools/ if you're interested there - have a poke around for unused bits ...
Comment 3 Commit Notification 2013-03-04 10:03:41 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2962aaa0087e093a9541b4a4372f6c09fe3f8424

fdo#61513: Remove FSysFailOnErrorImpl macro



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jan Bobisud 2013-03-04 20:32:15 UTC
Never mind, I'll find another "easy hack" :).
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:56:10 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]